Package org.springframework.http.converter.json

# Interface ProblemDetailJacksonMixin

public interface ProblemDetailJacksonMixin
An interface to associate Jackson annotations with `ProblemDetail` to avoid a hard dependency on the Jackson library.

The annotations ensure the `properties` map is unwrapped and rendered as top-level JSON properties, and likewise that the `properties` map contains unknown properties from the JSON.

`Jackson2ObjectMapperBuilder` automatically registers this as a "mix-in" for `ProblemDetail`, which means it always applies, unless an `ObjectMapper` is instantiated directly and configured for use.

Since:
  6.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getProperties()`
`void`
`setProperty(String name, Object value)`

## Method Details

### setProperty

void setProperty(String name, @Nullable Object value)

### getProperties

Map<String,Object> getProperties()